Bug 149949 - emulators/open-vm-tools: Problems with DHCP on startup in Open-VM-Tools VMXNet driver
emulators/open-vm-tools: Problems with DHCP on startup in Open-VM-Tools VMXNe...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-25 00:40 UTC by bill.lortz
Modified: 2013-12-22 22:30 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description bill.lortz 2010-08-25 00:40:06 UTC
sysinstall will let you configure the VMXNet devices(vxn0:) with DHCP and the device successfully obtains an IP address when running sysinstall.   Unfortunately, at boot time, no attempt is made to acquire a DHCP address.


I suspect that there is a bug in the driver that causes it to not send the appropriate link-up stage change to trigger DHCP.   That is why SYNCDHCP is needed.   But, the patch to vmware-guestd is probably necessary even if the driver is changed so it starts earlier.

Bill

Fix: 

I was able to solve this by changing the rc.conf line configuring the device from ifconfig_vxn0="DHCP" to ifconfig_vxn0="SYNCDHCP"

But, I also had to change the following line in /usr/local/etc/rc.d/vmware-guestd so that it would start before "netif".

From:
# BEFORE: LOGIN

To:
# BEFORE: LOGIN netif
How-To-Repeat: Use sysinstall to configure the open-vm-tools ethernet driver and then reboot.
Comment 1 Mark Linimon freebsd_committer 2010-08-25 02:19:26 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mbr

Fix synopsis and assign.
Comment 2 bill.lortz 2010-08-25 20:21:01 UTC
I would like to clarify something that I didn't mention in my bug report.

The actual port name I installed was open-vm-tools-nox11.

It is possible that my suggested workaround and changing the start order may have some undesired side-effect in the regular (x11) version of the tools.

Bill
Comment 3 mbr freebsd_committer 2010-11-16 00:05:15 UTC
State Changed
From-To: open->feedback

Hi, 

I just upgraded the tools to the latest build. Can 
you please test if the dhcp problem is fixed now ? 

Thank you very much. 

-- 
Martin Blapp
Comment 4 Thomas Abthorpe freebsd_committer 2012-01-02 04:44:24 UTC
Responsible Changed
From-To: mbr->freebsd-ports-bugs

Reassign to the heap
Comment 5 Chris Rees freebsd_committer 2012-02-09 20:03:27 UTC
State Changed
From-To: feedback->closed

Updates in between and feedback timeout.
Comment 6 dfilter freebsd_committer 2013-12-22 22:23:13 UTC
Author: swills
Date: Sun Dec 22 22:23:06 2013
New Revision: 337221
URL: http://svnweb.freebsd.org/changeset/ports/337221

Log:
  - Require netif in vmware-guestd to avoid DHCP issue
  - Bump PORTREVISION for package change
  
  PR:		ports/168332
  PR:		ports/149949

Modified:
  head/emulators/open-vm-tools/Makefile
  head/emulators/open-vm-tools/files/vmware-guestd.in

Modified: head/emulators/open-vm-tools/Makefile
==============================================================================
--- head/emulators/open-vm-tools/Makefile	Sun Dec 22 21:21:24 2013	(r337220)
+++ head/emulators/open-vm-tools/Makefile	Sun Dec 22 22:23:06 2013	(r337221)
@@ -3,7 +3,7 @@
 
 PORTNAME=		open-vm-tools
 PORTVERSION=		${BUILD_VER}
-PORTREVISION=		0
+PORTREVISION=		1
 PORTEPOCH=		1
 CATEGORIES=		emulators
 MASTER_SITES=		SF/${PORTNAME}/${PORTNAME}/stable-9.4.x

Modified: head/emulators/open-vm-tools/files/vmware-guestd.in
==============================================================================
--- head/emulators/open-vm-tools/files/vmware-guestd.in	Sun Dec 22 21:21:24 2013	(r337220)
+++ head/emulators/open-vm-tools/files/vmware-guestd.in	Sun Dec 22 22:23:06 2013	(r337221)
@@ -4,7 +4,7 @@
 #
 
 # PROVIDE: vmware-guestd
-# REQUIRE: DAEMON
+# REQUIRE: DAEMON netif
 # BEFORE: LOGIN
 
 . /etc/rc.subr
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"